extends CharacterBody2D

const GRAVITY: float = 1900.0
const POWER: float = -400.0

var dead := false

@onready var animation_player = $AnimationPlayer


# Get the gravity from the project settings to be synced with RigidBody nodes.
#var gravity = ProjectSettings.get_setting("physics/2d/default_gravity")


func _physics_process(delta):
	velocity.y += GRAVITY * delta
	fly()
	move_and_slide()

	if is_on_floor():
		die()


func fly() -> void:
	if Input.is_action_just_pressed("fly"):
		velocity.y = POWER
		animation_player.play("fly")


func die() -> void:
	if dead:
		return
	dead = true
	$AnimatedSprite2D.stop()
	GameManager.on_game_over.emit()
	# Disable physics process.
	set_physics_process(false)
